1. Auth
Itinera API
  • ✈ Itinera API Documentation
  • Docs
    • legacy
      • Itinera — System Overview
      • Technology Stack & Architecture
      • Getting Started Guide
      • Infrastructure
      • Frontend Application
      • Architecture Overview
      • API Reference
      • Backend Services
      • Development Guidelines
    • phases
      • 01. Architecture Overview & Checkout Idempotency
      • Phase 2: Commerce & Checkout Engine
      • Phase 3: Webhooks & Asynchronous Fulfillment
      • Phase 4: Security Perimeter & Authentication
      • Phase 5: Database Schema & Entity Relationships
      • Phase 6: AI Quota & Telemetry Subsystems
      • Phase 7: API Route Matrix & FormRequests
      • Phase 8: Global Exception & Error Handling
      • Phase 9: Frontend Ecosystem & State Management
      • Phase 10: Design System & Component Library
      • Phase 11: Interactive GSAP Animations
      • Phase 12: Deployment & CI/CD Pipeline
      • Phase 13: Testing Strategies
      • Phase 14: Performance & Optimization
      • Phase 15: Developer Onboarding & Runbooks
      • 15-Phase Comprehensive Wiki & Documentation Plan
  • APIs
    • Auth
      • Register a new user
        POST
      • Log in a user
        POST
      • Log out user
        POST
      • Refresh JWT token
        POST
      • Forgot password request
        POST
      • Reset password verification
        POST
      • Get current user profile
        GET
      • Update user profile
        POST
      • Redirect to Google OAuth
        GET
      • Google OAuth Callback
        GET
      • Verify email via signed URL
        GET
    • Catalog
      • List all countries
      • Get country details
      • List all cities
      • List all regions
      • List all destinations
      • Get destination details
      • Get hotels by destination
      • List all hotels
      • Get hotel details
      • Get reviews for a hotel
      • List all flights
      • Get flight details
      • List all restaurants
      • Get restaurant details
      • List all attractions
      • Get current weather
      • Submit review for an entity
      • Delete review
      • Toggle favourite status for entity
      • List my submitted reviews
    • Bookings
      • Book a tour destination
    • V1 Aliases
      • V1 List all countries
      • V1 Get country details
      • V1 List all cities
      • V1 List all destinations
      • V1 Get destination details
      • V1 Get hotels by destination
      • V1 List all hotels
      • V1 Get hotel details
      • V1 Get reviews for a hotel
      • V1 List all flights
      • V1 Get flight details
      • V1 List all restaurants
      • V1 Get restaurant details
      • V1 List all attractions
      • V1 Get attraction details
      • V1 List all regions
      • V1 Get weather details
    • Trips
      • List user trips
      • Create a new trip
      • Get trip details
      • Update trip details
      • Delete a trip
      • Get creation metadata
      • Attach items to a trip
      • Update trip item
      • Detach items from a trip
      • Fork a trip
    • Conversations
      • List user conversations
      • Start a new conversation
      • Get conversation details
      • List messages in conversation
      • Send message to conversation
      • Mark conversation as read
    • Commerce Plans
      • List public plans
      • Get public plan details
    • Commerce Subscriptions
      • Subscribe to a plan
      • Upgrade active plan
      • Get active subscription info
      • Cancel active subscription
    • Commerce Checkout
      • Initiate Paymob payment checkout
    • Integrations
      • Paymob status webhook callback
      • Paymob redirect return callback
    • System Settings & Support
      • Submit public contact message
      • Subscribe to system newsletter
      • Get list of my reports
      • List all notifications
      • Mark single notification as read
      • List available surveys
      • Submit answers for survey
      • Get survey details
      • Update survey details
      • Delete survey response
    • AI Tools
      • Enhance itinerary details using AI
      • Request AI review of itinerary
      • Plan route using AI assistance
      • Get AI quota remaining details
      • Chat with AI Concierge assistant
      • Get AI Review progress by ID
    • Agency Integration
      • Request agency assignment
      • List agency active tasks
      • List agency managed trips
      • Get agency total earnings
      • Get agency profile details
      • Update agency profile details
    • Admin User Management
      • List users inside admin dashboard
      • Get user profile
      • Set user active status
      • Block user profile
    • Admin Catalog Moderation
      • Create new catalog category
      • Create new catalog destination
      • Create new hotel catalog record
      • Create new flight catalog record
      • Create new restaurant catalog record
      • Create new attraction catalog record
  • Schemas
    • User
    • ErrorResponse
    • Trip
    • Destination
    • Hotel
    • Flight
    • Restaurant
    • Attraction
    • Booking
    • Review
    • Agency
    • Survey
  1. Auth

Update user profile

Cloud Mock
https://mock.apidog.com/m1/1364933-0-default
Cloud Mock
https://mock.apidog.com/m1/1364933-0-default
POST
/profile

Request

Body Params application/json

Examples

Responses

🟢200OK
application/json
Profile updated successfully
Bodyapplication/json

🟠401Unauthorized
🟠422Parameter Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://mock.apidog.com/m1/1364933-0-default/profile' \
--header 'Content-Type: application/json' \
--data '{
    "name": "John Doe Updated",
    "phone": "+201234567890",
    "bio": "Updated biography",
    "country": "Egypt",
    "address": "456 Pyramid Street",
    "line2": "Suite 12",
    "city": "Giza",
    "state": "Giza Governorate",
    "postal_code": "12511",
    "preferred_currency": "USD"
}'
Response Response Example
200 - Success Example
{
    "success": true,
    "message": "Profile updated successfully.",
    "data": {
        "user": {
            "id": 42,
            "name": "John Doe",
            "email": "john.doe@example.com",
            "roles": [
                "user"
            ],
            "phone": "+201234567890",
            "bio": "Avid explorer of ancient destinations.",
            "country": "Egypt",
            "address": "123 El-Tahrir Street",
            "address_details": {
                "line1": "123 El-Tahrir Street",
                "line2": "Apartment 5",
                "city": "Cairo",
                "state": "Cairo Governorate",
                "country": "Egypt",
                "postal_code": "11511"
            },
            "preferred_currency": "EGP",
            "emergency_contact": "+201099887766",
            "profile_image": "https://itinari.up.railway.app/uploads/profile-images/default.png",
            "email_verified_at": "2026-08-24T12:00:00.000Z",
            "subscription": {
                "plan_id": 1,
                "plan_name": "Premium Explorer",
                "status": "active",
                "ai_quota_total": 100,
                "ai_quota_used": 15,
                "ai_quota_remaining": 85,
                "renews_at": "2026-09-24T12:00:00.000Z"
            }
        }
    }
}
Modified at 2026-08-23 23:05:14
Previous
Get current user profile
Next
Redirect to Google OAuth
Built with